Skip to content

List a post's attachments

GET
/posts/{post}/attachments
curl --request GET \
--url https://feed.work.optidata.cloud/api/posts/2289/attachments \
--header 'Authorization: Bearer <token>'

The files attached to the post.

post
required
integer

Numeric id of the post.

The attachments.

Media typeapplication/json
Array<object>

A file attached to a post.

object
id
integer
mime_type
string
size_bytes
integer
source
string
Allowed values: SOURCE_OPTIWORK_DRIVE SOURCE_USER_FILE_SYSTEM
key
additional properties
any
Examples
Exampleexample
[]

No authentication key was sent.

Media typeapplication/json

Authentication failures use an error key.

object
error
required
string
Examples
Exampleexample
{
"error": "JWT passport exception: Missing bearer token in request"
}

The caller is not allowed to perform this action.

Media typeapplication/json
object
message
required
string
Examples
Exampleexample
{
"message": "This action is unauthorized."
}

No matching resource, or it is not reachable through this path.

Media typeapplication/json
object
message
required
string
Examples
Exampleexample
{
"message": "No query results for model [App\\Models\\Category] 864"
}

The authentication key is expired or not recognised. Get a fresh one and retry.

Media typeapplication/json

Authentication failures use an error key.

object
error
required
string
Examples
Exampleexample
{
"error": "JWT passport expired: Passport expired"
}